%define aurox_ver 10.2
%define	rel 1

%define	name	acc
%define	version	0.1.1

Summary:	Aurox Config Center - manager for configuration programs in Aurox system
Name:		%{name}
Version:	%{version}
Release:	%{aurox_ver}.aur.%{rel}
License:	GPL
Url:		http://acc.sourceforge.net/
Group:		Applications/System
Source0:	%{name}-%{version}.tar.bz2

BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot
BuildRequires:	python >= 2.3.3
Requires:	pygtk2 >= 2.0.0 python >= 2.3.3

Patch0:		acc_makefile_destdir.patch 

%description
Aurox Config Center (ACC) is a manager for configuration programs in your Aurox system.
It can easely find configuratian program in your computer and give fast access to them.

%prep
%setup -q -n %name-%version
%patch0 -p1

%build
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

cp $RPM_BUILD_DIR/%name-%version/*list $RPM_BUILD_ROOT/%{_libdir}/acc/

%clean
rm -rf $RPM_BUILD_ROOT

%post
ln -s -f %{_libdir}/acc/acc.py %{_bindir}/acc

pushd .
cd %{_libdir}/acc/
bash make_plugins.sh
popd

%postun
rm -f %{_bindir}/acc

%files 
%defattr(-,root,root)
%doc README TODO COPYING INSTALL
%docdir %{_libdir}/acc/doc

%{_libdir}/acc/*


%changelog
* Wed Feb 16 2005 Aurox Team <aurox@aurox.org> 0:0.1.1-10.2.aur.1
- initial build


